extends ../layout

block scripts
    script(src='/css/vendors/custom/datatables/datatables.bundle.js' type='text/javascript')
    script(src='/css/demo/default/custom/crud/datatables/extensions/buttons.js' type='text/javascript')
    script(src='/css/demo/default/custom/crud/datatables/basic/basic.js' type='text/javascript')
    script(type='text/javascript').
      $('#employee').DataTable({
        responsive: true,
        dom: "<'row'<'col-sm-6 text-left'f><'col-sm-6 text-right'B>>\n\t\t\t<'row'<'col-sm-12'tr>>\n\t\t\t<'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7 dataTables_pager'l>p>",
        buttons: ["print", "copyHtml5", "excelHtml5", "csvHtml5", "pdfHtml5"]
      });



block content
    .m-grid__item.m-grid__item--fluid.m-wrapper
        // BEGIN: Subheader
        .m-subheader
            .d-flex.align-items-center
                .mr-auto
                    h3.m-subheader__title.m-subheader__title--separator Employee List
                    ul.m-subheader__breadcrumbs.m-nav.m-nav--inline
                        li.m-nav__item.m-nav__item--home
                            a.m-nav__link.m-nav__link--icon(href='/dashboard')
                                i.m-nav__link-icon.la.la-home
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='/')
                                span.m-nav__link-text Home
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='')
                                span.m-nav__link-text Employees
                        li.m-nav__separator -
                        li.m-nav__item
                            a.m-nav__link(href='#')
                                span.m-nav__link-text List of Employees
                div
                    .m-dropdown.m-dropdown--inline.m-dropdown--arrow.m-dropdown--align-right.m-dropdown--align-push(m-dropdown-toggle='hover' aria-expanded='true')
                        a.m-portlet__nav-link.btn.btn-lg.btn-secondary.m-btn.m-btn--outline-2x.m-btn--air.m-btn--icon.m-btn--icon-only.m-btn--pill.m-dropdown__toggle(href='#')
                            i.la.la-plus.m--hide
                            i.la.la-ellipsis-h
                        .m-dropdown__wrapper
                            span.m-dropdown__arrow.m-dropdown__arrow--right.m-dropdown__arrow--adjust
                            .m-dropdown__inner
                                .m-dropdown__body
                                    .m-dropdown__content
                                        ul.m-nav
                                            li.m-nav__section.m-nav__section--first.m--hide
                                                span.m-nav__section-text Quick Actions
                                            li.m-nav__item
                                                a.m-nav__link(href='/activity')
                                                    i.m-nav__link-icon.flaticon-share
                                                    span.m-nav__link-text Activity
        // END: Subheader
        .m-content
            .m-alert.m-alert--icon.m-alert--air.m-alert--square.alert.alert-dismissible.m--margin-bottom-30(role='alert')
                .m-alert__icon
                    i.flaticon-exclamation.m--font-brand
                .m-alert__text
                    | This is a list of all employees with all details.
                    | Only administrators can add employees.
            .m-portlet.m-portlet--mobile
                .m-portlet__head
                    .m-portlet__head-caption
                        .m-portlet__head-title
                            h3.m-portlet__head-text
                                | Employee Tools
                    .m-portlet__head-tools
                        ul.m-portlet__nav
                            li.m-portlet__nav-item
                                a.btn.btn-primary.m-btn.m-btn--custom.m-btn--icon.m-btn--air(href='/employee/new')
                                    span
                                        i.la.la-eye
                                        span New Employee
                            li.m-portlet__nav-item
                .m-portlet__body
                    // begin: Datatable
                    if(employees === false)
                        p There are no employees, to initiate datatable
                            a(href="/employee/new")  add employee
                    else
                        table#employee.table.table-striped.table-bordered.table-hover.table-checkable
                            thead
                                tr
                                    th Email
                                    th Name
                                    th Gender
                                    th Occupation
                                    th Phone
                                    th Data Lists
                                    th Profile
                            tbody
                                if(employees)
                                    each employee in employees
                                        tr
                                            td #{employee.email || ''}
                                            td #{employee.profile.name || ''}
                                            td #{employee.profile.gender || ''}
                                            td #{employee.profile.occupation || ''}
                                            td #{employee.profile.phone || ''}
                                            td(align="center")
                                                a(href="/employee/" + employee._id + "/reviews").m-portlet__nav-link.btn.m-btn.m-btn--hover-accent.m-btn--icon.m-btn--pill Reviews
                                                    i.la.la-clipboard
                                                span
                                                a(href="/employee/" + employee._id + "/publications").m-portlet__nav-link.btn.m-btn.m-btn--hover-accent.m-btn--icon.m-btn--pill Publications
                                                    i.la.la-book
                                            td(align="center")
                                                a(href="/employee/" + employee._id + "/details").m-portlet__nav-link.btn.m-btn.m-btn--hover-accent.m-btn--icon.m-btn--icon-only.m-btn--pill
                                                    i.la.la-edit
                                                a(href="/employee/" + employee._id + "/delete").m-portlet__nav-link.btn.m-btn.m-btn--hover-accent.m-btn--icon.m-btn--icon-only.m-btn--pill
                                                    i.la.la-trash
